/**
 * Copyright 2008,2009 Ivan SZKIBA
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * under the License.
 */
/*
 * DesktopApplication1.java
 */
package net.sourceforge.tink.app.gui;

import net.sourceforge.tink.app.TinkAppHelper;
import net.sourceforge.tink.model.FileObject;
import net.sourceforge.tink.model.TinkException;

import org.jdesktop.application.Application;
import org.jdesktop.application.SingleFrameApplication;

import java.util.logging.Level;
import java.util.logging.Logger;

public class TinkApp extends SingleFrameApplication
{
    public static final String PROGRAM_NAME = "tinkw";
    private static final Logger logger = Logger.getLogger(TinkApp.class.getName());
    private FileObject configFile;

    public static TinkApp getApplication()
    {
        return Application.getInstance(TinkApp.class);
    }

    public static void main(String[] args)
    {
        launch(TinkApp.class, args);
    }

    @Override protected void initialize(String[] args)
    {
        super.initialize(args);
        TinkAppHelper helper = new TinkAppHelper(PROGRAM_NAME);

        try
        {
            if (!helper.init(args))
            {
                exit();
            }

            configFile = helper.getConfigFile();
        }
        catch (TinkException x)
        {
            logger.log(Level.SEVERE, x.getMessage(), x);
            exit();
        }
    }

    @Override protected void startup()
    {
        show(new TinkView(this));
    }
}
